Subject: bug#28400: 26.0.50; lcms2 bindings

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Sep 2017 20:37:29 +0300

> From: Mark Oteiza <[email-masked]>
> Date: Sat, 09 Sep 2017 11:50:34 -0400
> 
> Some time ago I wrote some integration with lcms2 in the interest of
> replacing tty-color-approximate, color-distance, etc. with superior
> (more perceptually uniform) color metrics.  This would presumably
> improve Emacs' color picking on smaller color palettes (e.g. 256 color
> term) and potentially provide access to many useful color-related
> functions in Lisp---not to discount color.el.

Is it really so much better than what we have now to justify requiring
yet another library to build Emacs?  If it is, could you tell what are
the main advantages, or point to where those advantages are described?

Btw, 256 colors is not "small" by Emacs standards, because our color
approximation should (and does) work in 8-color terminals as well.

Thanks.